com.genesyslab.wfm8.API.service.forecast810

## Class FrcActivityPercentageParameters

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast810.FrcActivityPercentageParameters

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcActivityPercentageParameters
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `activityID` Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0
    `protected int` | `buID` Business Unit ID
    `private static long` | `serialVersionUID`
    `protected int` | `siteID` Site ID
    `protected double` | `splitPercentage` Percentage value
    `protected int` | `templateID` Template (split percentage) ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcActivityPercentageParameters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getActivityID()` Gets the value of the activityID property.
    `int` | `getBuID()` Gets the value of the buID property.
    `int` | `getSiteID()` Gets the value of the siteID property.
    `double` | `getSplitPercentage()` Gets the value of the splitPercentage property.
    `int` | `getTemplateID()` Gets the value of the templateID property.
    `int` | `hashCode()`
    `void` | `setActivityID(int value)` Sets the value of the activityID property.
    `void` | `setBuID(int value)` Sets the value of the buID property.
    `void` | `setSiteID(int value)` Sets the value of the siteID property.
    `void` | `setSplitPercentage(double value)` Sets the value of the splitPercentage property.
    `void` | `setTemplateID(int value)` Sets the value of the templateID property.
    `java.lang.String` | `toString()`
    `FrcActivityPercentageParameters` | `withActivityID(int value)`
    `FrcActivityPercentageParameters` | `withBuID(int value)`
    `FrcActivityPercentageParameters` | `withSiteID(int value)`
    `FrcActivityPercentageParameters` | `withSplitPercentage(double value)`
    `FrcActivityPercentageParameters` | `withTemplateID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteID

          protected int siteID

      Site ID

    - #### activityID

          protected int activityID

      Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0

    - #### buID

          protected int buID

      Business Unit ID

    - #### splitPercentage

          protected double splitPercentage

      Percentage value

    - #### templateID

          protected int templateID

      Template (split percentage) ID

  - ### Constructor Detail

    - #### FrcActivityPercentageParameters

          public FrcActivityPercentageParameters()

  - ### Method Detail

    - #### getSiteID

          public int getSiteID()

      Gets the value of the siteID property.

    - #### setSiteID

          public void setSiteID(int value)

      Sets the value of the siteID property.

    - #### getActivityID

          public int getActivityID()

      Gets the value of the activityID property.

    - #### setActivityID

          public void setActivityID(int value)

      Sets the value of the activityID property.

    - #### getBuID

          public int getBuID()

      Gets the value of the buID property.

    - #### setBuID

          public void setBuID(int value)

      Sets the value of the buID property.

    - #### getSplitPercentage

          public double getSplitPercentage()

      Gets the value of the splitPercentage property.

    - #### setSplitPercentage

          public void setSplitPercentage(double value)

      Sets the value of the splitPercentage property.

    - #### getTemplateID

          public int getTemplateID()

      Gets the value of the templateID property.

    - #### setTemplateID

          public void setTemplateID(int value)

      Sets the value of the templateID property.

    - #### withActivityID

          public FrcActivityPercentageParameters withActivityID(int value)

    - #### withBuID

          public FrcActivityPercentageParameters withBuID(int value)

    - #### withSiteID

          public FrcActivityPercentageParameters withSiteID(int value)

    - #### withTemplateID

          public FrcActivityPercentageParameters withTemplateID(int value)

    - #### withSplitPercentage

          public FrcActivityPercentageParameters withSplitPercentage(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.